#include <bits/stdc++.h>
#define N 3000000
using namespace std;

typedef struct{
long long x1;
long long x2;
long long y1;
long long y2;
long long duzina;
double koef;
}duz;

duz a[N];

bool mf(duz p,duz q)
{
    if(p.koef==q.koef)
        return p.duzina<q.duzina;
    return p.koef<q.koef;
}

int nadji(long long vr,int pocetak,int kraj)
{
    if(pocetak>kraj)
        return -1;
    int mid=(pocetak+kraj)/2;
    if(a[mid].duzina==vr)
        return mid;
    if(a[mid].duzina>vr)
        nadji(vr,pocetak,mid-1);
    else
        nadji(vr,mid+1,kraj);
}

long long izbroj(long long vr,int pocetak,int kraj)
{
    int ind=nadji(vr,pocetak,kraj);
    if(ind==-1)
        return 0;
    long long suma=1;
    int p=ind-1;
    while(p>=pocetak&&a[p].duzina==vr)
    {
        p--;
        suma++;
    }
    p=ind+1;
    while(p<=kraj&&a[p].duzina==vr)
    {
        p++;
        suma++;
    }
    return suma;
}

int main()
{   int n,br=0;
    cin>>n;
    long long x[1505],y[1505];
    for(int i=0;i<n;i++)
        cin>>x[i]>>y[i];

    for(int i=0;i<n;i++)
    {
        for(int j=i+1;j<n;j++)
        {
            a[br].x1=x[i];
            a[br].y1=y[i];
            a[br].x2=x[j];
            a[br].y2=y[j];
            a[br].duzina=(x[j]-x[i])*(x[j]-x[i])+(y[j]-y[i])*(y[j]-y[i]);
            if(x[i]==x[j])
                a[br].koef=100000005;
            else
                a[br].koef=((double)(y[i]-y[j]))/((double)(x[i]-x[j]));
            br++;
        }
    }
    sort(a,a+br,mf);
    vector <int> novi;
    novi.push_back(0);
    for(int i=1;i<br;i++)
    {
        if(a[i].koef!=a[i-1].koef)
            novi.push_back(i);
    }
    novi.push_back(br);
    long long ts=0,suma=0;
    for(int i=0;i<novi.size()-1;i++)
    {
        for(int j=novi[i];j<novi[i+1];j++)
        {
            if(j!=0&&a[j].duzina==a[j-1].duzina&&a[j].koef==a[j-1].koef)
                suma+=ts;
            else
            {

                ts=izbroj(a[j].duzina*4,j+1,novi[i+1]);
                if(a[j].duzina%4==0)
                    ts+=izbroj(a[j].duzina/4,j+1,novi[i+1]);
                suma+=ts;
            }
        }
    }
    cout << suma << endl;
    return 0;
}